### Hierarchy

- BaseAPI
  - BlocksApi

### Implements

- BlocksApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- getBlockByBurnBlockHash
- getBlockByBurnBlockHashRaw
- getBlockByBurnBlockHeight
- getBlockByBurnBlockHeightRaw
- getBlockByHash
- getBlockByHashRaw
- getBlockByHeight
- getBlockByHeightRaw
- getBlockList
- getBlockListRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new BlocksApi(configuration?: Configuration ): BlocksApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns BlocksApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### getBlockByBurnBlockHash

- getBlockByBurnBlockHash(requestParameters: GetBlockByBurnBlockHashRequest, initOverrides?: RequestInit): Promise< Block >

- Implementation of BlocksApiInterface.getBlockByBurnBlockHash

  - Defined in src/generated/apis/BlocksApi.ts:169

  Get a specific block by burnchain block hash Get block

  #### Parameters

  - ##### requestParameters: GetBlockByBurnBlockHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Block >

### getBlockByBurnBlockHashRaw

- getBlockByBurnBlockHashRaw(requestParameters: GetBlockByBurnBlockHashRequest, initOverrides?: RequestInit): Promise< ApiResponse < Block >>

- Implementation of BlocksApiInterface.getBlockByBurnBlockHashRaw

  - Defined in src/generated/apis/BlocksApi.ts:146

  Get a specific block by burnchain block hash Get block

  #### Parameters

  - ##### requestParameters: GetBlockByBurnBlockHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Block >>

### getBlockByBurnBlockHeight

- getBlockByBurnBlockHeight(requestParameters: GetBlockByBurnBlockHeightRequest, initOverrides?: RequestInit): Promise< Block >

- Implementation of BlocksApiInterface.getBlockByBurnBlockHeight

  - Defined in src/generated/apis/BlocksApi.ts:201

  Get a specific block by burn chain height Get block

  #### Parameters

  - ##### requestParameters: GetBlockByBurnBlockHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Block >

### getBlockByBurnBlockHeightRaw

- getBlockByBurnBlockHeightRaw(requestParameters: GetBlockByBurnBlockHeightRequest, initOverrides?: RequestInit): Promise< ApiResponse < Block >>

- Implementation of BlocksApiInterface.getBlockByBurnBlockHeightRaw

  - Defined in src/generated/apis/BlocksApi.ts:178

  Get a specific block by burn chain height Get block

  #### Parameters

  - ##### requestParameters: GetBlockByBurnBlockHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Block >>

### getBlockByHash

- getBlockByHash(requestParameters: GetBlockByHashRequest, initOverrides?: RequestInit): Promise< Block >

- Implementation of BlocksApiInterface.getBlockByHash

  - Defined in src/generated/apis/BlocksApi.ts:233

  Get a specific block by hash Get block

  #### Parameters

  - ##### requestParameters: GetBlockByHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Block >

### getBlockByHashRaw

- getBlockByHashRaw(requestParameters: GetBlockByHashRequest, initOverrides?: RequestInit): Promise< ApiResponse < Block >>

- Implementation of BlocksApiInterface.getBlockByHashRaw

  - Defined in src/generated/apis/BlocksApi.ts:210

  Get a specific block by hash Get block

  #### Parameters

  - ##### requestParameters: GetBlockByHashRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Block >>

### getBlockByHeight

- getBlockByHeight(requestParameters: GetBlockByHeightRequest, initOverrides?: RequestInit): Promise< Block >

- Implementation of BlocksApiInterface.getBlockByHeight

  - Defined in src/generated/apis/BlocksApi.ts:265

  Get a specific block by height Get block

  #### Parameters

  - ##### requestParameters: GetBlockByHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< Block >

### getBlockByHeightRaw

- getBlockByHeightRaw(requestParameters: GetBlockByHeightRequest, initOverrides?: RequestInit): Promise< ApiResponse < Block >>

- Implementation of BlocksApiInterface.getBlockByHeightRaw

  - Defined in src/generated/apis/BlocksApi.ts:242

  Get a specific block by height Get block

  #### Parameters

  - ##### requestParameters: GetBlockByHeightRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < Block >>

### getBlockList

- getBlockList(requestParameters: GetBlockListRequest, initOverrides?: RequestInit): Promise< BlockListResponse >

- Implementation of BlocksApiInterface.getBlockList

  - Defined in src/generated/apis/BlocksApi.ts:301

  Get all recently mined blocks Get recent blocks

  #### Parameters

  - ##### requestParameters: GetBlockListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< BlockListResponse >

### getBlockListRaw

- getBlockListRaw(requestParameters: GetBlockListRequest, initOverrides?: RequestInit): Promise< ApiResponse < BlockListResponse >>

- Implementation of BlocksApiInterface.getBlockListRaw

  - Defined in src/generated/apis/BlocksApi.ts:274

  Get all recently mined blocks Get recent blocks

  #### Parameters

  - ##### requestParameters: GetBlockListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < BlockListResponse >>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc